This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 849343 - kernel BUG at fs/btrfs/extent_io.c:2718!
kernel BUG at fs/btrfs/extent_io.c:2718!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 11:20 EDT by Martin
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:18:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2012-08-18 11:20:13 EDT
Description of problem:
Running out of memory, OOM killed hungry process then I got this "kernel BUG at fs/btrfs/extent_io.c:2718!" traceback.

Despite of OOM event, BTRFS should be robust and stable as other filesystems when there is not enough RAM available.


Version-Release number of selected component (if applicable):
kernel-3.5.2-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
0. disable swap
1. run Firefox
2. run OOM
  
Actual results:
kernel oops

Expected results:
no oops

Additional info:
kernel BUG at fs/btrfs/extent_io.c:2718!
invalid opcode: 0000 [#1] SMP 
CPU 2 
Modules linked in: fuse lockd sunrpc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack tpm_bios sha256_generic vfat fat snd_hda_codec_conexant arc4 coretemp kvm_intel kvm microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev cdc_ether media cdc_subset usbnet iwlwifi mii snd_hda_intel snd_hda_codec mac80211 e1000e snd_hwdep btusb i2c_i801 snd_pcm bluetooth mei lpc_ich mfd_core snd_page_alloc cfg80211 snd_timer uinput thinkpad_acpi snd soundcore rfkill btrfs libcrc32c zlib_deflate xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
Pid: 1783, comm: firefox Not tainted 3.5.2-1.fc17.x86_64 #1 LENOVO 42404LG/42404LG
RIP: 0010:[<ffffffffa0195ed0>]  [<ffffffffa0195ed0>] __extent_read_full_page+0x690/0x6a0 [btrfs]
RSP: 0018:ffff8800798439b8  EFLAGS: 00010246
RAX: 00000000fffffff4 RBX: 0000000000001000 RCX: 0000000000000000
RDX: 000000018015000a RSI: ffffea00031f9f40 RDI: ffff8800c7e7de40
RBP: ffff880079843ab8 R08: ffff8800c7e7d9c0 R09: 0000000180150009
R10: 00000000c7e7dc01 R11: 6465726168732d6e R12: 0000000000860fff
R13: 000000078c1e3000 R14: 0000000000860000 R15: 0000000000000000
FS:  00007f81384f0700(0000) GS:ffff88011e280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000003fbc6613b7 CR3: 0000000086cf2000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process firefox (pid: 1783, threadinfo ffff880079842000, task ffff8800bdcd9710)
Stack:
 ffff8801165a1380 ffff880079843ae8 ffffffffa0194850 ffffc90000000000
 0000000000020001 0000000000020001 000000000087ffff ffff880079843ae8
 ffff880079843fd8 ffff8800647de000 0000000000000000 ffff880079843af0
Call Trace:
 [<ffffffffa0194850>] ? repair_io_failure+0x1e0/0x1e0 [btrfs]
 [<ffffffffa01759f0>] ? can_nocow_odirect+0x260/0x260 [btrfs]
 [<ffffffffa0196d70>] extent_readpages+0xa0/0xe0 [btrfs]
 [<ffffffffa01759f0>] ? can_nocow_odirect+0x260/0x260 [btrfs]
 [<ffffffffa0173bef>] btrfs_readpages+0x1f/0x30 [btrfs]
 [<ffffffff81130f67>] __do_page_cache_readahead+0x1b7/0x240
 [<ffffffff81131311>] ra_submit+0x21/0x30
 [<ffffffff81127591>] filemap_fault+0x421/0x480
 [<ffffffff8101a953>] ? native_sched_clock+0x13/0x80
 [<ffffffff8114a3a1>] __do_fault+0x71/0x560
 [<ffffffff8114d335>] handle_pte_fault+0x95/0xb10
 [<ffffffff8160b0ff>] ? __schedule+0x3cf/0x7c0
 [<ffffffff8114e6b9>] handle_mm_fault+0x259/0x320
 [<ffffffff8161030c>] do_page_fault+0x15c/0x4b0
 [<ffffffff811ca9bd>] ? ep_scan_ready_list.isra.8+0x19d/0x1a0
 [<ffffffff811cb855>] ? sys_epoll_wait+0x95/0x430
 [<ffffffff8160ce65>] page_fault+0x25/0x30
Code: 00 00 00 4c 8b 7d 98 e9 45 fa ff ff 4d 89 ef 41 bc 00 10 00 00 45 31 d2 c7 85 54 ff ff ff 00 00 00 00 e9 e7 fe ff ff 0f 0b 0f 0b <0f> 0b 66 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 41 
RIP  [<ffffffffa0195ed0>] __extent_read_full_page+0x690/0x6a0 [btrfs]
 RSP <ffff8800798439b8>
Comment 1 Dave Jones 2013-05-15 14:56:34 EDT
can you still reproduce this on current kernels ?
Comment 2 Fedora End Of Life 2013-07-04 01:18:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 12:18:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.